Subject: bug#13478: Don't deprecate or remove 'serial-tests'

From: "Richard W.M. Jones" <[email-masked]>
Date: Thu, 17 Jan 2013 18:16:48 +0000

For some reason this is marked as deprecated.

This is bad: parallel tests are fine for tiny tests which use only a
little bit of memory.  However if your tests are very large and use a
lot of RAM then running them in parallel can cause them to fail
unnecessarily.

The libguestfs test suite is exactly like this: parallel tests causes
it to fail because you end up running multiple parallel VMs.  Serial
tests is the right way to go for us.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
Read my programming blog: http://rwmj.wordpress.com
Fedora now supports 80 OCaml packages (the OPEN alternative to F#)